@import url('https://fonts.googleapis.com/css2?family=Frank+Ruhl+Libre:wght@900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');

* {
    scroll-behavior: smooth;
    scroll-snap-type: y mandatory;
}

body {
	margin: 0;
	padding: 0;
	background-color: #EDECE0;
}

.container {
    max-width: 1366px;
    height: 3072px;
}

.header {
    position: sticky;
    top: 0;
    z-index: 999;
}

.logo {
	position: relative;
	margin-left: 30px;
	margin-top: 30px; 
}

.navigation {
    display: flex;
    flex-direction: column;
}

nav {
    position: absolute;
    left: 720px;
    top: 30px;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

nav ul li {
    display: inline-flex;
}

nav ul li a{
    position: relative;
    margin: 0 25px;
    color: #EE7357;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
    font-size: 16px;
}

nav ul li a:hover{
    color: #E31516;
    transition: .12s;
}

nav ul li a:after{
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%) scaleX(0);
    -webkit-transform: translateX(-50%) scaleX(0);
    transform-origin: 50% 50%;
    width: 100%;
    height: 2px;
    background-color: #E31516;
    -webkit-transition: 250ms;
    transition: 250ms;
}

nav ul li a:hover:after{
    -webkit-transform: translateX(-50%) scaleX(1);
    transform: translateX(-50%) scaleX(1);
}

#landing {
    background-color: #EDECE0;
    max-width: 100%;
    height: 20px;
    margin-top: -90px;
    scroll-snap-align: center;
}

#about {
    margin-top: 80px;
    background-color: #EDECE0;
    max-width: 100%;
    height: 768px;
}

.word {
    width: 90%;
    position: absolute;
    transform: translate(-50%, -50%);
    margin-top: 180px;
    left: 650px;
}

.word span {
    display: inline-block;
    font-family: 'Frank Ruhl Libre', serif;
	font-size: 55px;
	color: #EE7357;
	font-weight: bold;
    position: relative;
    transform: translateY(-100vh);
    animation: fall 3.5s forwards;
    letter-spacing: -1px;
}

@keyframes fall {
    100% {
        transform: translateY(0);
    }
}
.word span:nth-child(2) {
    animation-delay: 0.3s;
}
.word span:nth-child(3) {
    animation-delay: 0.6s;
}
.word span:nth-child(4) {
    animation-delay: 0.9s;
}
.word span:nth-child(5) {
    animation-delay: 1.2s;
}
.word span:nth-child(6) {
    animation-delay: 1.5s;
}
.word span:nth-child(7) {
    animation-delay: 1.8s;
}
.word span:nth-child(8) {
    animation-delay: 2.1s;
}
.word span:nth-child(9) {
    animation-delay: 2.4s;
}
.word span:nth-child(10) {
    animation-delay: 2.7s;
}
.word span:nth-child(11) {
    animation-delay: 3.0s;
}
.word span:nth-child(12) {
    animation-delay: 3.3s;
}
.word span:nth-child(12) {
    animation-delay: 3.6s;
}
.word span:nth-child(13) {
    animation-delay: 3.9s;
}

.text1 {
    position: absolute;
    animation: ani2 0.8s ease-out forwards;
    margin-top: 220px;
    margin-left: 85px;
}

.text1 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: black;
    opacity: 0;
    animation: ani2 0.75s ease-out 6.7s forwards;
    padding-right: 900px;
    line-height: 26px;
}

@keyframes ani2 {
    100% {
        opacity: 1;
    }
}

.profil {
    position: absolute;
    animation: ani2 0.8s ease-out forwards;
    margin-top: 100px;
    margin-left: 470px;
}

.profil img {
    opacity: 0;
    animation: ani2 0.75s ease-out 7s forwards;
}

@keyframes ani2 {
    100% {
        opacity: 1;
    }
}

.sparkle1 {
    position: absolute;
    animation: ani2 0.8s ease-out forwards;
    margin-top: 180px;
    margin-left: 660px;
}

.sparkle1 img {
    opacity: 0;
    animation: ani2 0.75s ease-out 7.4s forwards;
}

@keyframes ani2 {
    100% {
        opacity: 1;
    }
}

.text2 {
    position: absolute;
    animation: ani2 0.8s ease-out forwards;
    margin-top: 220px;
    margin-left: 850px;
}

.text2 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: black;
    opacity: 0;
    animation: ani2 0.75s ease-out 7.8s forwards;
    padding-right: 130px;
    line-height: 26px;
}

@keyframes ani2 {
    100% {
        opacity: 1;
    }
}
.scroll1 .scroll2 {
    position: absolute;
    animation: ani2 0.8s ease-out forwards;
}

.scroll1 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: #C8B2D8;
    opacity: 0;
    cursor: pointer;
    transition: ease-in .2s;
    margin-left: 640px;
    padding-top: 420px;
    animation: ani2 0.75s ease-out 8s forwards;
}

.scroll1 p:hover {
    opacity: 1;
}

.scroll2 {
    margin-left: 630px;
    margin-top: -50px;
}

.scroll2 img {
    animation: ani2 0.75s ease-out 8s forwards;
    opacity: 0;
}

#education {
    background-color: #EE7357;
    max-width: 100%;
    height: 768px;
    scroll-snap-align: center;
}

.head1 {
    padding-top: 40px;
}

.head1 h1{
    font-family: 'Frank Ruhl Libre', serif;
	font-size: 120px;
	color: white;
	font-weight: bold;
    margin-left: 100px;
}

.head1 h2 {
    font-family: 'Frank Ruhl Libre', serif;
	font-size: 120px;
	color: white;
	font-weight: bold;
    margin-left: 240px;
    margin-top: -130px;
}

.line2 {
    margin-left: 320px;
    margin-top: -290px;
}

.sparkle2 {
    margin-left: 160px;
    margin-top: 50px;
}

.text3 {
    margin-left: 700px;
    
}

.text3 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    margin-top: -20px;
}

.text4 {
    margin-left: 900px;
    margin-top: -20px;
}

.text4 p {
    font-family: 'Poppins', sans-serif;
	font-size: 18px;
	color: white;
    font-weight: bold;
    cursor: pointer;
}

.text4 p:hover {
    color: #E31516;
}

.line3 {
    margin-left: 740px;
    margin-top: -42px;
}

.text5 {
    margin-left: 700px;
}

.text5 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    margin-top: 40px;
}

.text6 {
    margin-left: 898px;
}

.text6 p {
    font-family: 'Poppins', sans-serif;
	font-size: 18px;
	color: white;
    font-weight: bold;
    margin-top: -20px;
    cursor: pointer;
}

.text6 p:hover {
    color: #E31516;
}

.line4 {
    margin-left: 740px;
    margin-top: -42px;
}

.text7 {
    margin-left: 700px;
}

.text7 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    margin-top: 40px;
}

.text8 {
    margin-left: 898px;
}

.text8 p {
    font-family: 'Poppins', sans-serif;
	font-size: 18px;
	color: white;
    font-weight: bold;
    margin-top: -20px;
    cursor: pointer;
}

.text8 p:hover {
    color: #E31516;
}

.line5 {
    margin-left: 740px;
    margin-top: -42px;
}

#myskill {
    background-color: #E31516;
    max-width: 100%;
    height: 768px;
    scroll-snap-align: center;
}

.skill-area {
    display: flex;
    flex-direction: column;
    padding: 0 20%;
    margin-left: -160px;
    padding-top: 100px;
    width: 400px;
}

.skill {
    position: relative;
    margin-bottom: 10px;
}

.skill-title {
    font-size: 14px;
    margin-bottom: 10px;
    font-family: 'Poppins', sans-serif;
    color: white;
    font-weight: bold;
}

.skill-fill {
    background: white;
    height: 35px;
    border-radius: 100px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding-right: 15px;
    overflow: hidden;
}

.skill-percent {
    font-family: 'Poppins', sans-serif;
    color: #E31516;
    font-size: 14px;
}

.ai {
    animation: ai 20s;
    width: 90%;
}

.id {
    animation: id 20s;
    width: 90%;
}

.pr {
    animation: pr 20s;
    width: 80%;
}

.ps {
    animation: ps 20s;
    width: 70%;
}

.light {
    animation: light 20s;
    width: 75%;
}

.ae {
    animation: ae 20s;
    width: 60%;
}

.htmlcss {
    animation: htmlcss 20s;
    width: 75%;
}

@keyframes ai {
    from {
        width: 0;
    }
    to {
        width: 90%;
    }
}

@keyframes id {
    from {
        width: 0;
    }
    to {
        width: 90%;
    }
}

@keyframes pr {
    from {
        width: 0;
    }
    to {
        width: 80%;
    }
}

@keyframes ps {
    from {
        width: 0;
    }
    to {
        width: 70%;
    }
}

@keyframes light {
    from {
        width: 0;
    }
    to {
        width: 75%;
    }
}

@keyframes ae {
    from {
        width: 0;
    }
    to {
        width: 60%;
    }
}

@keyframes htmlcss {
    from {
        width: 0;
    }
    to {
        width: 75%;
    }
}

.head2 {
    margin-top: -350px;
}

.head2 h1{
    font-family: 'Frank Ruhl Libre', serif;
	font-size: 120px;
	color: white;
	font-weight: bold;
    margin-left: 800px;
}

.head2 h2 {
    font-family: 'Frank Ruhl Libre', serif;
	font-size: 120px;
	color: white;
	font-weight: bold;
    margin-left: 900px;
    margin-top: -120px;
}

.line6 {
    margin-left: 970px;
    margin-top: -290px;
}

.sparkle3 {
    margin-left: 810px;
    margin-top: 50px;
}

#services {
    background-color: #EDECE0;
    max-width: 100%;
    height: 768px;
    scroll-snap-align: center;
}

.head3 {
    padding-top: 200px;
}

.head3 h1 {
    font-family: 'Frank Ruhl Libre', serif;
    font-size: 55px;
    color: #EE7357;
    font-weight: bold;
    margin-left: 100px;
}

.sparkle4 {
    margin-left: 310px;
    margin-top: -110px;
}

.text9 {
    margin-top: -60px;
}

.text9 p {
    font-family: 'Poppins', sans-serif;
	font-size: 22px;
	color: #C8B2D8;
    font-weight: bold;
    margin-left: 420px;
}

.button1 {
    margin-left: 420px;
	margin-top: 80px;
}

.button1 a{
	padding: 10px 25px;
    width: 100px;
    height: 30px;
    border: 2px solid #C8B2D8;
    font-family: 'Poppins', sans-serif;
	border-radius: 25px;
	text-align: center;
	color: #C8B2D8;
	text-decoration: none;
	position: relative;
	font-size: 14px;
}

.button1 a:hover {
	color: white;
    background-color: #C8B2D8;
    transition: ease .7s;
}

.footer {
    background-color: #C9B2D8;
    max-width: 100%;
    height: 170px;
    position: relative;
    scroll-snap-align: center;
    margin-top: 80px;
}

.text20 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    padding-top: 30px;
    margin-left: 90px;
}

.text21 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    margin-top: 10px;
    padding: 20px;
    margin-left: 70px;
}

.button4 {
    margin-left: 1000px;
    margin-top: -160px;
    padding: 30px;
}

.button4 a{
	padding: 10px 25px;
    width: 100px;
    height: 30px;
    border: 2px solid white;
    font-family: 'Poppins', sans-serif;
	border-radius: 25px;
	text-align: center;
	color: white;
	text-decoration: none;
	position: relative;
	font-size: 14px;
}

.button4 a:hover {
	color: #C8B2D8;
    background-color: white;
    transition: ease .7s;
}

.navigation2 {
    display: flex;
    flex-direction: column;
}

nav2 {
    position: absolute;
    left: 760px;
    top: 95px;
}

nav2 ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

nav2 ul li {
    display: inline-flex;
}

nav2 ul li a{
    position: relative;
    margin: 0 20px;
    color: white;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
    font-size: 14px;
    opacity: 0.8;
}

nav2 ul li a:hover{
    color: white;
    transition: .12s;
    opacity: 1;
}

nav2 ul li a:after{
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%) scaleX(0);
    -webkit-transform: translateX(-50%) scaleX(0);
    transform-origin: 50% 50%;
    width: 100%;
    height: 2px;
    background-color: white;
    -webkit-transition: 250ms;
    transition: 250ms;
}

nav2 ul li a:hover:after{
    -webkit-transform: translateX(-50%) scaleX(1);
    transform: translateX(-50%) scaleX(1);
}